QGIS Application - Bug report #6196
QGIS not opening SQLlIte file generated by FME
2012-08-15 07:04 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 15510
Description

| have a Spatial.ite file | created in FME. It looks valid in SQLiteStudio, but when | try and "connect" to it in QGIS 1.8.0.1 | get:

"Failure exploring tables from: C:/2 Temp Data/temp_test.sI3

no such column: type"

I've tried this with two different datasets so far, both give this error; I've attached one of the SQLite files (contains OS Meridian data).

History

#1 - 2012-08-15 07:15 AM - Even Rouault

This file is not a Spatialite DB, but a SQLite DB with a table organization and geometries in FGF (FDO Geometry Format :
http://trac.osgeo.org/fdo/wiki/FDORfc16 ). You can open it through OGR - that handles it well - with the "Open Vector Layer" menu item.

#2 - 2012-08-15 07:24 AM - Jonathan Moules
Ah, that makes sense. Didn't realise there was a difference, but FME does say "SQLite Spatial (FDO)" under the writer.
You may wish to make the SpatiaL.ite reader capable of determining this itself and informing the user (the difference between the filetypes isn't something |

guess users should be able to determine themselves after all). If so, change this ticket to "feature”, otherwise, please close it.
Thanks.

#3 - 2012-08-16 09:08 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

Files

Copy_of _temp_test.7z 947 KB 2012-08-15 Jonathan Moules
